﻿@using Microsoft.AspNetCore.Identity
@using BeerOverflow.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

    <ul class="nav navbar-nav navbar-expand-lg navbar-right">
        @if (SignInManager.IsSignedIn(User))
        {
            <li class="nav-item">
                @Html.ActionLink("Wish List", "GetWishList", "Users",
                    new { userName = User.Identity.Name },
                    new { @class = "nav-link text-dark" })
                @*<a class="nav-link text-dark" asp-area="" asp-controller="Users" asp-action="GetWishList">Wish List</a>*@
            </li>
            <li class="nav-item">
                @Html.ActionLink("Drank List", "GetDrankList", "Users",
                    new { userName = User.Identity.Name },
                    new { @class = "nav-link text-dark" })
                @*<a class="nav-link text-dark" asp-area="" asp-controller="Users" asp-action="GetDrankList">Drank List</a>*@
            </li>
            <li class="nav-item">
                <a id="manage" class="nav-link text-dark" asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage">Hello, @UserManager.GetUserName(User)!</a>
            </li>
            <li class="nav-item">
                <form id="logoutForm" class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                    <button id="logout" type="submit" class="nav-link btn btn-link text-dark">Logout</button>
                </form>
            </li>
        }
        else
        {
            <li class="nav-item">
                <a class="nav-link text-dark" id="register" asp-area="Identity" asp-page="/Account/Register">Register</a>
            </li>
            <li class="nav-item">
                <a class="nav-link text-dark" id="login" asp-area="Identity" asp-page="/Account/Login">Login</a>
            </li>
        }
    </ul>
